Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_backtrace_struct Struct Reference

## Data Fields
rb_backtrace_location_t * | backtrace
rb_backtrace_location_t * | backtrace_base
int | backtrace_size
VALUE | strary

## Detailed Description

Definition at line 369 of file vm_backtrace.c.

## Field Documentation

rb_backtrace_location_t* rb_backtrace_struct::backtrace

Definition at line 370 of file vm_backtrace.c.

Referenced by backtrace_collect(), backtrace_free(), backtrace_mark(), bt_init(), bt_iter_cfunc(), and bt_iter_iseq().

rb_backtrace_location_t* rb_backtrace_struct::backtrace_base

Definition at line 371 of file vm_backtrace.c.

Referenced by backtrace_free(), and bt_init().

int rb_backtrace_struct::backtrace_size

Definition at line 372 of file vm_backtrace.c.

Referenced by backtrace_collect(), backtrace_mark(), backtrace_memsize(), backtrace_to_location_ary(), backtrace_to_str_ary(), bt_init(), bt_iter_cfunc(), bt_iter_iseq(), rb_backtrace_to_str_ary(), and vm_backtrace_to_ary().

VALUE rb_backtrace_struct::strary

Definition at line 373 of file vm_backtrace.c.

Referenced by backtrace_load_data(), backtrace_mark(), and rb_backtrace_to_str_ary().

The documentation for this struct was generated from the following file:

- vm_backtrace.c